/*!
@file structure.hpp
@file 基本的なデータ構造
@note
やっぱり作るんだね　_|￣|○
*/
#ifndef DKUTIL_GRAPHICS_WIN32_HPP
#define DKUTIL_GRAPHICS_WIN32_HPP

#include <dkutil/graphics/structure.h>
#include <windows.h>
#include <windef.h>




namespace dkutil{

inline RECT toRECT(const DKC_RECT &x){
	RECT r;
	r.left = x.left;
	r.top = x.top;
	r.right = x.right;
	r.bottom = x.bottom;
	return r;
}

inline POINT toPOINT(const DKC_POINT2D &s){
	POINT p;
	p.x = s.x;
	p.y = s.y;
	return p;
}


}//end of dkutil namespace

#endif